[ 
https://issues.apache.org/jira/browse/ZOOKEEPER-877?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Patrick Hunt updated ZOOKEEPER-877:
-----------------------------------

    Status: Patch Available  (was: Open)

> zkpython does not work with python3.1
> -------------------------------------
>
>                 Key: ZOOKEEPER-877
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-877
>             Project: Zookeeper
>          Issue Type: Bug
>          Components: contrib-bindings
>    Affects Versions: 3.3.1
>         Environment: linux+python3.1
>            Reporter: TuxRacer
>            Assignee: TuxRacer
>             Fix For: 3.4.0
>
>         Attachments: tests_py3k.tgz, zookeeper.c, zookeeper.c.patch.v1
>
>
> as written in the contrib/zkpython/README file:
> "Python >= 2.6 is required. We have tested against 2.6. We have not tested 
> against 3.x."
> this is probably more a 'new feature' request than a bug; anyway compiling 
> the pythn module and calling it returns an error at load time:
> python3.1
> Python 3.1.2 (r312:79147, May  8 2010, 16:36:46) 
> [GCC 4.4.4] on linux2
> Type "help", "copyright", "credits" or "license" for more information.
> >>> import zookeeper
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
> ImportError: /usr/local/lib/python3.1/dist-packages/zookeeper.so: undefined 
> symbol: PyString_AsString
> are there any plan to support Python3.X?
> I also tried to write a 3.1 ctypes wrapper but the C API seems in fact to be 
> written in C++, so python ctypes cannot be used.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply via email to